## ros-indigo-imu-compass 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(imu_compass)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS geometry_msgs sensor_msgs std_msgs tf)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)

catkin_package(
#  INCLUDE_DIRS include
  CATKIN_DEPENDS geometry_msgs sensor_msgs std_msgs tf
)

###########
## Build ##
###########

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

add_executable(imu_compass src/imu_compass.cpp)
target_link_libraries(imu_compass ${catkin_LIBRARIES})

#############
## Install ##
#############


install(TARGETS imu_compass
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(PROGRAMS scripts/compute_calibration
			DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-imu-compass (0.0.5-1trusty) trusty; urgency=high

  * removing bag references from sample hard-iron calibration output file
  * fixing example launch file to reflect changes in param intake in the node
  * Contributors: Prasenjit Mukherjee

 -- Prasenjit Mukherjee <pmukherj@clearpathrobotics.com>  Wed, 09 Jul 2014 04:00:00 -0000

ros-indigo-imu-compass (0.0.4-1trusty) trusty; urgency=high

  * successful test with kingfisher June 30 2014
  * adding the publishing of calibrated magnetometer data for debug purposes
  * Contributors: Mike Purvis, Prasenjit Mukherjee

 -- Prasenjit Mukherjee <pmukherj@clearpathrobotics.com>  Wed, 02 Jul 2014 04:00:00 -0000

ros-indigo-imu-compass (0.0.3-1trusty) trusty; urgency=high

  * Populate the curr_heading_float message with the declination-corrected heading value.
  * Add declination param and topic input to imu_compass node.
  * Add dependency on scipy for compute script.
  * Initialize curr_imu_reading_ with an empty message to avoid startup segfault.

 -- Prasenjit Mukherjee <pmukherj@clearpathrobotics.com>  Thu, 24 Oct 2013 04:00:00 -0000

ros-indigo-imu-compass (0.0.2-1trusty) trusty; urgency=high

  * adding rosparams for critical variables
  * tuning covariance to rely more on gyro

 -- Prasenjit Mukherjee <pmukherj@clearpathrobotics.com>  Fri, 04 Oct 2013 04:00:00 -0000

ros-indigo-imu-compass (0.0.1-1trusty) trusty; urgency=high

  * creating new package for imu_compass
  * added imu_compass.cpp, used to be called um6_compass when it came from https://github.com/clearpathrobotics/um6/tree/compass_cleanup/src

 -- Prasenjit Mukherjee <pmukherj@clearpathrobotics.com>  Mon, 23 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-imu-compass
Section: misc
Priority: extra
Maintainer: Prasenjit Mukherjee <pmukherj@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-imu-compass
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-scipy, ros-indigo-geometry-msgs, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: Node to combine IMU data (accelerometers and gyroscopes) with Compass data (magnetometers) for a cleaner reading of a Vehicles Heading

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-imu-compass//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
